Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 21 Apr 2023 01:39:17 +0000 (UTC)

Hi Maram Said,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello I have ordered yesterday and the order was confirmed and they took the money but after I while I got an sms msg stating this —> Sorry, Order 7827592761 was not processed successfully. Please try again or use Cash on Delivery at https://maxfashion.app.link/s50uwJ0l6yb

Please let me know what’s the status of my order cause I want it for eid https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6112877